﻿using System.Collections.Generic;
using System.Xml.Schema;

namespace Widow.Serialization
{
    public class SerializationSuccess : SerializationState
    {
        #region Public Enums, Properties and Fields

        public Windows.Windows Windows { get; }

        public List<ValidationEventArgs> ValidationEventArgs { get; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public SerializationSuccess()
        {
        }

        public SerializationSuccess(Windows.Windows windows) : this()
        {
            Windows = windows;
        }

        public SerializationSuccess(Windows.Windows windows,
                                    List<ValidationEventArgs> validationEventArgs) : this(windows)
        {
            ValidationEventArgs = validationEventArgs;
        }

        #endregion
    }
}