﻿using System;

namespace Widow
{
    public class WindowCreatedEventArgs : EventArgs
    {
        #region Public Enums, Properties and Fields

        public IntPtr Handle { get; set; }

        public string Title { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public WindowCreatedEventArgs()
        {
        }

        public WindowCreatedEventArgs(string title, IntPtr handle) : this()
        {
            Title = title;
            Handle = handle;
        }

        #endregion
    }
}